[type='text'], [type='password'], [type='date'],
[type='datetime'], [type='datetime-local'], [type='month'],
[type='week'], [type='email'], [type='number'],
[type='search'], [type='tel'], [type='time'],
[type='url'], [type='color'], textarea,
[data-form] [type="range"], [data-form] select, select{
    border: 1px solid #6c79b8;
    font-size:0.9rem;
    font-weight:normal;
    padding: 0 0.3rem;
    width: 100%;
    height: 2.475rem;
    color:#64489e;
}

[data-form] [type="text"], [data-form] [type="password"], [data-form] [type="email"],
[data-form] [type="number"], [data-form] [type="range"], [data-form] [type="url"],
[data-form] select, [data-form] [type="date"], [data-form] [type="datetime"],
[data-form] [type="datetime-local"], [data-form] [type="month"], [data-form] [type="week"],
[data-form] [type="search"], [data-form] [type="tel"], [data-form] [type="time"], [data-form] [type="color"] {
    height: 2.475rem;
    font-family: "Helvetica Neue", Helvetica, Roboto, Arial, sans-serif;
}

[data-form] select {
    background-color: #fefefe!important;
}

.error_hint {
    border-radius: 3px;
    position: relative;
    border:1px solid #f5c6cb!important;
    color:#721c24!important;
    font-weight: normal!important;
    font-style: normal!important;
    background-color:#f8d7da;
    margin: 0.5rem 0 0.5rem 0;
    padding:0.25rem 1rem;
    font-size:0.85rem;

    animation: show 600ms 100ms cubic-bezier(0.38, 0.97, 0.56, 0.76) forwards;

    /* Prestate*/
    opacity: 0;
    /* remove transform for just a fade-in*/
    transform: rotateX(-90deg);
    transform-origin: top center;
}
@keyframes show {
    100% {
        opacity: 1;
        transform: none;
    }
}
[data-form] .error_hint {
    margin: -0.25rem 0 0.5rem 0;
}

label{
    color:#304c6f;
    line-height: 1.1;
}

label span.help-text{
    color:#304c6f;
}
label > [type="checkbox"], label > [type="radio"] {
    vertical-align: text-top;
}
label.switch-container {
    line-height: 1.6;
}

/*
 Nice checkbox and radio buttons
 https://css-tricks.com/custom-styling-form-inputs-with-modern-css-features/
 */

@supports (-webkit-appearance: none) or (-moz-appearance: none) {
    input[type=checkbox]:not(.switch-input),
    input[type=radio] {
        --active: #fff;
        --active-inner: #64489e;
        --focus: 2px rgba(39, 94, 254, .3);
        /*--border: #BBC1E1;*/
        --border: #64489e;
        --border-hover: #6c79b8;
        --background: #fff;
        --disabled: #F6F8FF;
        --disabled-inner: #E1E6F9;
        -webkit-appearance: none;
        -moz-appearance: none;
        height: 21px;
        outline: none;
        display: inline-block;
        vertical-align: bottom;
        position: relative;
        margin: 0!important;
        cursor: pointer;
        border: 2px solid var(--bc, var(--border));
        background: var(--b, var(--background));
        transition: background 0.3s, border-color 0.3s, box-shadow 0.2s;
    }
    input[type=checkbox]:after,
    input[type=radio]:after {
        content: "";
        display: block;
        left: 0;
        top: 0;
        position: absolute;
        transition: transform var(--d-t, 0.3s) var(--d-t-e, ease), opacity var(--d-o, 0.2s);
    }
    input[type=checkbox]:not(.switch-input):checked,
    input[type=radio]:checked {
        --b: var(--active);
        /*--bc: var(--active);*/
        --bc: var(--active-inner);
        --d-o: .3s;
        --d-t: .6s;
        --d-t-e: cubic-bezier(.2, .85, .32, 1.2);
    }
    input[type=checkbox]:not(.switch-input):disabled,
    input[type=radio]:disabled {
        --b: var(--disabled);
        cursor: not-allowed;
        opacity: 0.9;
    }
    input[type=checkbox]:not(.switch-input):disabled:checked,
    input[type=radio]:disabled:checked {
        --b: var(--disabled-inner);
        --bc: var(--border);
    }
    input[type=checkbox]:not(.switch-input):disabled + label,
    input[type=radio]:disabled + label {
        cursor: not-allowed;
    }
    input[type=checkbox]:not(.switch-input):hover:not(:checked):not(:disabled),
    input[type=radio]:hover:not(:checked):not(:disabled) {
        --bc: var(--border-hover);
    }
    input[type=checkbox]:focus,
    input[type=radio]:focus {
        box-shadow: 0 0 0 var(--focus);
    }
    input[type=checkbox]:not(.switch-input),
    input[type=radio]:not(.switch-input) {
        width: 1.25em;
        height: 1.25em;
    }
    input[type=checkbox]:not(.switch-input):after,
    input[type=radio]:not(.switch):after {
        opacity: var(--o, 0);
    }
    input[type=checkbox]:not(.switch-input):checked,
    input[type=radio]:not(.switch):checked {
        --o: 1;
    }
    input[type=checkbox]:not(.switch-input) + label,
    input[type=radio] + label {
        font-size: 14px;
        line-height: 21px;
        display: inline-block;
        vertical-align: top;
        cursor: pointer;
        margin-left: 4px;
    }

    input[type=checkbox]:not(.switch-input) {
        border-radius: 5px;
    }
    input[type=checkbox]:not(.switch-input):after {
        width: 7px;
        height: 11px;
        border: 3px solid var(--active-inner);
        border-top: 0;
        border-left: 0;
        left: 5px;
        top: 2px;
        transform: rotate(var(--r, 20deg));
    }
    input[type=checkbox]:not(.switch-input):checked {
        --r: 30deg;
    }
    input[type=radio] {
        border-radius: 50%;
    }
    input[type=radio]:after {
        width: 16px;
        height: 16px;
        border-radius: 50%;
        background: var(--active-inner);
        opacity: 0;
        transform: scale(var(--s, 0.7));
    }
    input[type=radio]:checked {
        --s: .5;
    }
}

input[type=checkbox]:not(.switch-input) + span[data-label-text] {
    font-weight:bold;
    margin-left: 0.15rem;
}

:root {
    --input-border: #8b8a8b;
    --input-focus-h: 260;
    --input-focus-s: 37%;
    --input-focus-l: 45%;
}



/* Nice input by Stephanie Eckles : https://moderncss.dev/custom-css-styles-for-form-inputs-and-textareas */
.input, [data-form="replier"] fieldset label input {
    background-color: #fff;
    border: 2px solid var(--input-border);
    border-radius: 4px;
    transition: 180ms box-shadow ease-in-out;
}
.input:focus, [data-form="replier"] fieldset label input:focus {
    border-color: hsl(var(--input-focus-h), var(--input-focus-s), var(--input-focus-l));
    box-shadow: 0 0 0 3px hsla(var(--input-focus-h), var(--input-focus-s), calc(var(--input-focus-l) + 40%), 0.8);
    outline: 3px solid transparent;
    border-width:2px;
}
.input:not(textarea), [data-form="replier"] fieldset label input {
    line-height: 1;
    height: 2.25rem;
}
input[type=file] {
    font-size: 0.9em;
    padding-top: 0.35rem;
}
textarea.input {
    resize: vertical;
    margin:0;
}
.input[readonly] {
    border-style: dotted;
    cursor: not-allowed;
    color: #777;
}
.input[disabled] {
    --input-border: #ccc;
    background-color: #eee;
    cursor: not-allowed;
}

.input + label {
    margin-top: 2rem;
}